Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514006 - [RFE] add an "admin portal" button for RHV provider 4.1.8 and above
Summary: [RFE] add an "admin portal" button for RHV provider 4.1.8 and above
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Vojtech Szocs
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 13:30 UTC by Oved Ourfali
Modified: 2018-03-01 13:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Addition to bug (feature) description (by vszocs): CFME user must be "Administrator" and RHV version must be 4.1.8 or higher.​ Both of these are required in order to see that button. When opening RHV admin UI using this button, the credentials of RHV provider (used when adding the RHV instance to CFME) are used to log you into the RHV admin UI.
Clone Of:
Environment:
Last Closed: 2018-03-01 13:21:17 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)
admin-ui-button (deleted)
2017-11-16 13:33 UTC, Oved Ourfali
no flags Details


Links
System ID Priority Status Summary Last Updated
Github /ManageIQ manageiq pull 16403 None None None 2017-11-16 13:33:33 UTC
Github ManageIQ manageiq-providers-ovirt pull 133 None None None 2017-11-16 13:34:13 UTC
Github ManageIQ manageiq-providers-ovirt pull 148 None None None 2017-11-16 16:37:15 UTC
Github ManageIQ manageiq pull 16484 None None None 2017-11-16 14:08:10 UTC
Red Hat Product Errata RHSA-2018:0380 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC
Red Hat Bugzilla 1534871 None NEW Add a tool tip to RHV UI button: Browser permission set is required to allow opening a new tab. 2019-04-05 12:53:28 UTC
Github ManageIQ manageiq-ui-classic pull 2644 None None None 2017-11-16 13:33:56 UTC

Internal Links: 1534871

Description Oved Ourfali 2017-11-16 13:30:54 UTC
We would like to have a button providing access to the RHV admin portal from the provider page in CFME.

There will be an "Access->Admin UI" button to provide that access.
The credentials used will be the ones defined by the provider.

Note that the first time you access that, it will give a pop-up blocker (just like first access to a VM console), until you approve pop-ups from this site.
The portal will be opened in a new tab.

Comment 2 Oved Ourfali 2017-11-16 13:33:06 UTC
Created attachment 1353492 [details]
admin-ui-button

Comment 5 Ilanit Stein 2017-12-10 12:47:37 UTC
QA cannot validate it on this version. Moran/Oved were updated.

Comment 6 RHEL Product and Program Management 2017-12-10 12:52:56 UTC
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 7 Oved Ourfali 2017-12-11 06:44:13 UTC
We did ask for sanity testing.
Don't you have capacity to do that?

Comment 8 Daniel Gur 2017-12-11 07:44:09 UTC
1. No from our estimation we can not add any additional tasks to the version as we already slipping the dates with the existing tasks, working overtime and cancelling vacations
2.I believe that performing just sanity would not be enough and is not what QE should do when approving RFE.

Comment 9 Ilanit Stein 2017-12-25 11:55:01 UTC
Moving bug back to ON_QA as GA date has postponed to Feb 22.

Comment 10 Ilanit Stein 2018-01-28 09:16:04 UTC
Verified on CFME-5.9.0.17/RHV-4.1.8:
Polarion test run:
RHEVM3/testrun?id=4_1_cfme_rhv_admin_portal_cfme_5_9_0_17_rhv_4_1_8

Comment 13 errata-xmlrpc 2018-03-01 13:21:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.